/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: LogicalOperationException.java,v 1.3 2006/01/31 17:10:01 rampil Exp $
 */
package org.logical_paradox.koike.rss.search.lo;

/**
 * 論理演算実行中に発生した、続行不能エラー
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class LogicalOperationException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -4702833156415909616L;
	/**
	 * コンストラクタ
	 */
	public LogicalOperationException() {
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public LogicalOperationException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public LogicalOperationException(Exception e) {
		super(e);
	}
}
